#!/usr/bin/env bash

# Génération de la configuration par l'outil NixOS
nixos-generate-config --root /mnt
# Configuration de Git
git config --global user.email "nixos-live@example.org"
git config --global user.name "NixOS Live"
# Initialisation du dépôt de la machine et ajout des templates de configuration
cd /mnt/etc/nixos
git init .
git add .
git commit -m "initial commit"
git submodule add https://gogs.prunetwork.fr/nixos-config/nixos-template-base.git base
git submodule add https://gogs.prunetwork.fr/Capgemini-CDS-Arkea/template-nixos.git capgemini-cmb
